import request from '@/utils/request'

// 查询合同未履行信息列表
export function listInfo(query) {
    return request({
        url: '/crmContractNonperformanceInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询合同未履行信息详细
export function getInfo(id) {
    return request({
        url: '/crmContractNonperformanceInfo/' + id,
        method: 'get'
    })
}

// 新增合同未履行信息
export function addInfo(data) {
    return request({
        url: '/crmContractNonperformanceInfo',
        method: 'post',
        data: data
    })
}

// 修改合同未履行信息
export function updateInfo(data) {
    return request({
        url: '/crmContractNonperformanceInfo',
        method: 'put',
        data: data
    })
}

// 删除合同未履行信息
export function delInfo(id) {
    return request({
        url: '/crmContractNonperformanceInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmContractNonperformanceInfo/delete',ids)
}